﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Infragistics.Controls.Grids;

namespace XamGridGroupByPerfTest {

    public class DoubleStringEditConverter: IValueConverter {
        readonly int _index;

        public DoubleStringEditConverter(int index) {
            _index = index;

        }



        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            var dValue = ((CellValue)value).ActualValue;
            return double.IsNaN(dValue) ? "" : string.Format("{0:N2}", dValue);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            var celldata = new CellValue(_index) {
                ActualValue = double.Parse((string)value)
            };

            return celldata;


        }
    }
}
