﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace XamGridGroupByPerfTest {

    public class Element {
        static readonly Random Rand = new Random();

        public string Name {
            get;
            set;
        }

        public CellValue this[int index] {
            get {
                return Values[index];
            }
            set {
                var item = value;

                Values[item.Index].ActualValue = item.ActualValue;
                

            }
        }

        List<CellValue> _values;
        public List<CellValue> Values {
            get {
                return _values ?? (_values = GenerateValues().ToList());
            }
        }

        IEnumerable<CellValue> GenerateValues() {
            var multiplier = Rand.NextDouble() * 100000;

            var count = 50;
            var index = 0;
            while (count-- > 0) {
                var result = Rand.Next(-10,10)  * multiplier;
              //  if (result > 0)

                    yield return new CellValue(index++) {
                        ActualValue = result
                  
                    };

               // yield return double.NaN;
            }
        }






    }
}
