﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace XamGridGroupByPerfTest {
    [Serializable]
    public abstract class ObjectNotifier : INotifyPropertyChanged {
        [field: NonSerialized]
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName) {
            var handler = PropertyChanged;

            if (null != handler) {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }



    }
}
